function [scal,eqscal] = temperature_equation_scalings(teconfig)
switch teconfig.method
    case 'state'
        scal = 1e3; eqscal = 1e-6;
    case {'tescal','tiscal','direct'}
        scal = 1; eqscal = 1;
    otherwise
        error('unknown equation method')
end
return